%****************************************************************************
%  Name     : Flory_III
%  Function : Use Flory-Huggins equation to calculate activity in interval
%  III.
%  Method   : Ref: Kiparissides et al., 1997, Ind.Eng. Chem. Res. Page 1266
%  Author   : Anette H. Helgesen
%****************************************************************************/
function am=floryIII(para_f1,Tr)

Xs	= 0.26;				
	a	= 0.15524;				
	b	= 0.35311;				
	c	= -0.50527;				
	d	= 11.3605;				
	e	= 199.96;				%This is from V1*(d1-d2)^2/R [K]
	f	= 6244.49;				%This is from 2*d1*d2/R [K]
    
 am=(exp(log(1-para_f1)+para_f1+((Xs+(e/Tr)+((f/Tr)*(a+(b*para_f1^2)+(c*para_f1)+(d/Tr))))*para_f1^2)));   
    
