%******************************************************************************
%  Name     : main_estimation_U_ode15s
%  Function : Used to run lsqcruvefit, to estimate parameters
%  Method   : Use ode15s, stiff ode solver
%  Author   : Anette Hoel Helgesen 2011
%  %*****************************************************************************/
function res=main_estimation_U_ode15s(par,xdata)

a0=par(1);
a1=par(2);
a2=par(3);

load data
par = emulsion_parameters();
%% Timespan and states
tspan=xdata
times=[];
States=[];
%% Initial values for the states.
x10=[359 1e-02]; 
options=odeset('BDF','on','AbsTol',1e-6,'RelTol',1e-6); %,'maxStep',0.0001
format('shortG')
Tr=data((359:3521),7)+273.15;
Tjin=data((359:3521),5)+273.15;
Xi=data((359:3521),2)/100;
%% ODE solver
%After dosing of emulgator, but not in this interval of the batch time
[T,x1]= ode15s(@estimation_U,tspan,x10,options,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi,a0,a1,a2);
times=[times;T];
States=[States;x1];
res=States(:,1);
end

