warning 'off'
clear all
clc
%Load data from Ineos
load November
par = emulsion_parameters_november();
%% Timespan and states
t_end=33560; 
tspan1=[0:10:9980]; 
tspan2=[9990:10:23960];
tspan3=[23970:10:t_end];
times=[];
States=[];
%% Initial values for the states.

x10=[15.338 1e-05 139204 1e-10 359 8.8176]; 
options=odeset('BDF','on','AbsTol',1e-6,'RelTol',1e-6); %,'maxStep',0.0001
format('shortG')
Nm_in=139204;
Tr=November((400:3756),7)+273.15;
Tjin=November((400:3756),5)+273.15;
Tjout=November((400:3756),6)+273.15;
Xi=November((400:3756),2)/100;

%% ODE solver
%After dosing of emulgator, but not in this interval of the batch time

Emu=0; Ve2=0; m_em2_tot=0; Win=0; cin=0; Tin=0; 
tic
[T,x1]= ode15s(@model_nov,tspan1,x10,options,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi);

times=[times;T];
States=[States;x1];
% Start next interval of batch with putting more emulgator into reactor.
x20 = x1(end,:)';  
Emu=0.1; Ve2=540; m_em2_tot=500000; Win=0.1; cin=4.187; Tin=300;  
[TT,x2]=ode15s(@model_nov,tspan2,x20,options,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi);
times=[times;TT];
States=[States;x2];

x30 = x2(end,:)';  
Emu=0; Ve2=0; m_em2_tot=0; Win=0; cin=0; Tin=0;  
[TTT,x3]=ode15s(@model_nov,tspan3,x30,options,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi);
times=[times;TTT];
States=[States;x3];

nstep=length(times);
N_bar=zeros(size(times));
X=zeros(size(times));
N_polymer=zeros(size(times));
Rp=zeros(size(times));
Mp=zeros(size(times));
Mm=zeros(size(times));
M_w=zeros(size(times));
Mg=zeros(size(times));
Mp_m=zeros(size(times));
Pm_sat=zeros(size(times));
P=zeros(size(times));

toc
tic
%Parameters and intermediate calculations in function
for i=1:nstep
    State=States(i,:);
    [F N_bar(i) X(i) N_polymer(i) Rp(i) Mp(i) Pm_sat(i) P(i)] = model_nov(times(i),State,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi);
   
end
toc
