warning 'off'
clear all
clc
%Load data from Ineos
load 2oct10
par = emulsion_parameters();
%% Timespan and states
t_end=31620; 
tspan1=[0:10:4840]; 
tspan2=[4850:10:18700];
tspan3=[18710:10:t_end];
times=[];
States=[];
%% Initial values for the states.

x10=[14.4617 1e-05 139204 359 8.8176]
options=odeset('BDF','on','AbsTol',1e-6,'RelTol',1e-6); %,'maxStep',0.0001
format('shortG')
Nm_in=139204.4545;
Tr=data((359:3521),7)+273.15;
Tjin=data((359:3521),5)+273.15;
Tjout=data((359:3521),6)+273.15;
Xi=data((359:3521),2)/100;

%% ODE solver
%After dosing of emulgator, but not in this interval of the batch time

Emu=0; Ve2=0; m_em2_tot=0; Win=0; cin=0; Tin=0; 
tic
[T,x1]= ode15s(@model_zero_one_system,tspan1,x10,options,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi);

times=[times;T];
States=[States;x1];
% Start next interval of batch with putting more emulgator into reactor.
x20 = x1(end,:)';  
Emu=0.030; Ve2=500; m_em2_tot=50000; Win=0.1; cin=4.187; Tin=300;  
[TT,x2]=ode15s(@model_zero_one_system,tspan2,x20,options,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi);
times=[times;TT];
States=[States;x2];

x30 = x2(end,:)';  
Emu=0; Ve2=0; m_em2_tot=0; Win=0; cin=0; Tin=0;  
[TTT,x3]=ode15s(@model_zero_one_system,tspan3,x30,options,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi);

times=[times;TTT];
States=[States;x3];
nstep=length(times);
X=zeros(size(times));
N1=zeros(size(times));
Rp=zeros(size(times));
Mp=zeros(size(times));
Mm=zeros(size(times));
M_w=zeros(size(times));
Mg=zeros(size(times));
Mp_m=zeros(size(times));
N0=zeros(size(times));

toc
tic
%Parameters and intermediate calculations in function
for i=1:nstep
    State=States(i,:);
    [F X(i) N1(i) N0(i)] = model_zero_one_system_PVC(times(i),State,par,Emu,Ve2,m_em2_tot,Win,cin,Tin,Tjin,Tr,Xi);
   
end
