%****************************************************************************
%  Name     : moment_equations
%  Function : Moment equations, this have to be included with mass and
%  energy balances. And other intermediate calculation nessasary. 
%  Author   : Anette H. Helgesen 2011
%****************************************************************************/
function [F]=moment_equations(t,x,par)
%% Part  II. Extract present value of states
p0=x(1);
p1=x(2);
p2=x(3);
m0=x(4);
m1=x(5);
m2=x(6);
%% Rate constants and other kinetic parameters
[kp,ki,kt,ka,k_tr_mon,k_tr_CTA,k_tr_pol,kzp,kz_aq,Zp,Zaq]=rate_constant(par,Tr);

MW_n=(m1/m0)*par.MWm;
MW_w=(m2/m1)/par.MWm;
PDI=(MW_w)/(MW_n);


%% III: States
dx1=(2*par.f_1*ki*I)-(kt*p0^2);
dx2=(2*par.f_1*ki*I)+(k_tr_mon*M*p0)+(k_tr_CTA*CTA*p0)+(kp*M*p0)-(((k_tr_mon*M)+(k_tr_CTA*CTA)+(kt*p0))*p1)+(k_tr_pol*((p0*m2)-(p1*m1)));
dx3=(2*par.f_1*ki*I)+(k_tr_mon*M*p0)+(k_tr_CTA*CTA*p0)+(kp*M*(p0+2*p1))-(((k_tr_mon*M)+(k_tr_CTA*CTA)+(kt*p0))*p2)+(k_tr_pol*((p0*(m2/(m0*m1))*((2*m0*m1)-m1^2))-(p2*m1)));
dx4=(k_tr_mon*M*p0)+(k_tr_CTA*CTA*p0)+(kt*(p0+0.5*p0));
dx5=(((k_tr_mon*M)+(k_tr_CTA)+kt*p0)*p1)+(k_tr_pol*((p1*m1)+(p0*m2)));
dx6=(((k_tr_mon*M)+(k_tr_CTA)+kt*p0)*p2)+(ktc*p1^2)+(k_tr_pol*((p2*m1)+(p0*(m2/(m0*m1))*((2*m0*m1)-m1^2))));

F=[dx1;dx2;dx3;dx4;dx5;dx6];
end
