%************************************************************************
%  Name     : pressure.,
%  Function : Calculate pressure in interval III.
%  Method   : Ref: Kiparissides et al., 1997, Ind.Eng. Chem. Res. P. 1258
%  Author   : Anette H. Helgesen
%*************************************************************************
function F = pressure(P,Pw_sat,Tr,Bm,d_mw,fm_0,am,par)

F=((P-Pw_sat)*(exp((P/(par.R*1000*Tr))*(Bm+((Pw_sat/P)^2)*d_mw))))-fm_0*am;

end
 
