%******************************************************************************
%  Name     : saturation_pressure
%  Function : Give vapour pressure as a function of temperature
% 		
%  Author   : Anette H. Helgesen 2011
%  Referance: Kiparissides (1997)
%*****************************************************************************/

function [Pm_sat,Pw_sat] = saturation_pressure(Tr)
%				 Out: Sat. pressure for VCM [Pa]	
%	             In: temperature			[K]
Pw_sat=exp(72.55-(7206.7/Tr)-(7.1386*log(Tr))+((4.046*10^-6)*Tr^2));
Pm_sat=exp(126.85-(5760.1/Tr)-(17.914*log(Tr))+((2.4917*10^-2)*Tr));